summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeonardo Boshell <leonardop@gentoo.org>2002-08-07 08:48:27 +0000
committerLeonardo Boshell <leonardop@gentoo.org>2002-08-07 08:48:27 +0000
commit3e6fa2b268d063e98cb96ef18ba632da7ade46e5 (patch)
treed87d0203bf2f96d2d99693cdc0592c7c895dd81c
parentShould fix PHP and GD issues.. I hope. Thanks to Edward Roper for the possibl... (diff)
downloadgentoo-2-3e6fa2b268d063e98cb96ef18ba632da7ade46e5.tar.gz
gentoo-2-3e6fa2b268d063e98cb96ef18ba632da7ade46e5.tar.bz2
gentoo-2-3e6fa2b268d063e98cb96ef18ba632da7ade46e5.zip
Fix bug #6101
-rw-r--r--eclass/gtk-engines.eclass14
1 files changed, 7 insertions, 7 deletions
diff --git a/eclass/gtk-engines.eclass b/eclass/gtk-engines.eclass
index a68ab8e8d2ee..fd55dfa07a0f 100644
--- a/eclass/gtk-engines.eclass
+++ b/eclass/gtk-engines.eclass
@@ -101,24 +101,23 @@ fi
gtk-engines_src_unpack() {
unpack ${A}
- # Let's try to figure out the right value for S
- S="${WORKDIR}/`ls -t ${WORKDIR} | head -n 1`"
+ MY_DIR=`ls -t ${WORKDIR} | head -n 1`
+
+ mv $MY_DIR $S
}
gtk-engines_src_compile() {
- econf || die
+ econf || die "Configuration failed"
if [ "X${MY_PN}" = "Xgtk-engines" ]
then
cd ${ENGINE}
fi
- emake || die
+ emake || die "Compilation failed"
}
gtk-engines_src_install() {
- cd ${S}
-
if [ "X${MY_PN}" = "Xgtk-engines" ]
then
cd ${ENGINE}
@@ -138,7 +137,8 @@ gtk-engines_src_install() {
einstall \
THEME_DIR=${D}/usr/share/themes \
- ENGINE_DIR=${D}/usr/lib/gtk/themes/engines || die
+ ENGINE_DIR=${D}/usr/lib/gtk/themes/engines || \
+ die "Installation failed"
for doc in AUTHORS BUGS ChangeLog CONFIGURATION COPYING CUSTOMIZATION \
INSTALL NEWS README THANKS TODO